% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/EnrichedView.R
\docType{methods}
\name{EnrichedView}
\alias{EnrichedView}
\title{View enriched terms}
\usage{
EnrichedView(
  enrichment,
  rank_by = "pvalue",
  mode = 1,
  subset = NULL,
  top = 0,
  bottom = 0,
  x = "LogFDR",
  charLength = 40,
  filename = NULL,
  width = 7,
  height = 4,
  ...
)
}
\arguments{
\item{enrichment}{A data frame of enrichment result, with columns of ID, Description, p.adjust and NES.}

\item{rank_by}{"pvalue" or "NES", specifying the indices for ranking pathways.}

\item{mode}{1 or 2.}

\item{subset}{A vector of pathway ids.}

\item{top}{An integer, specifying the number of upregulated terms to show.}

\item{bottom}{An integer, specifying the number of downregulated terms to show.}

\item{x}{Character, "NES", "LogP", or "LogFDR", indicating the variable on the x-axis.}

\item{charLength}{Integer, specifying max length of enriched term name to show as coordinate lab.}

\item{filename}{Figure file name to create on disk. Default filename="NULL".}

\item{width}{As in ggsave.}

\item{height}{As in ggsave.}

\item{...}{Other available parameters in ggsave.}
}
\value{
An object created by \code{ggplot}, which can be assigned and further customized.
}
\description{
Grid plot for enriched terms
}
\examples{
data(geneList, package = "DOSE")
\dontrun{
    enrichRes = enrich.GSE(geneList, organism="hsa")
    EnrichedView(enrichRes, top = 5, bottom = 5)
}
}
\seealso{
\code{\link{EnrichedView}}
}
\author{
Wubing Zhang
}
